%global momorel 2
%global md5sum_src0 2cf970cd9d966e95c4254fc89530eca7

Summary: A multi-platform helper library for other libraries
Name: gwenhywfar
Version: 2.6.1
Release: %{momorel}m%{?dist}
License: LGPL
URL: http://sourceforge.net/projects/gwenhywfar/
Group: System Environment/Libraries
%NoSource 0 http://dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.gz %{md5sum_src0}
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: gettext
BuildRequires: openssl-devel
BuildRequires: pkgconfig

%description
This is Gwenhywfar, a multi-platform helper library for networking and
security applications and libraries. It is heavily used by libchipcard
and AqBanking/AqHBCI, the German online banking libraries.

%package devel
Summary: Header files and static libraries from gwenhywfar
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
Libraries and includes files for developing programs based on gwenhywfar.

%prep
%setup -q

%build
autoreconf -fi
%configure --with-openssl-libs=%{_libdir}
%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
%makeinstall

# get rid of *.la files
rm -f %{buildroot}%{_libdir}/lib*.la

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS TODO
%config(noreplace) %{_sysconfdir}/gwen-public-ca.crt
%{_bindir}/gct-tool
%{_libdir}/gwenhywfar
%{_libdir}/libgwenhywfar.so.*
%{_datadir}/locale/*/LC_MESSAGES/gwenhywfar.mo

%files devel
%defattr(-,root,root)
%{_bindir}/gwenhywfar-config
%{_bindir}/mklistdoc
%{_bindir}/typemaker
%{_bindir}/xmlmerge
%{_includedir}/gwenhywfar
%{_libdir}/pkgconfig/gwenhywfar.pc
%{_libdir}/libgwenhywfar.so
%{_datadir}/aclocal/gwenhywfar.m4


%changelog
* Fri Jul 27 2007 Ryu SASAOKA <ryu@momonga-linux.org>
- (2.6.1-2m)
- with --with-openssl-libs option for x86_64

* Thu Jul 26 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.6.1-1m)
- initial package for aqbanking-2.3.2


